# librehost api

Librehost API JSON schema

Proposed format for json schema v0.0.1

This is planned to be expanded with option fields for services, locations,
values and admins/people. Its expected to be available at /librehost.json

## Details

+ `@context` (`string`): Set this to `http://schema.org`
+ `version` (`string`): This is the version of the schema. Do **not** update
  this if you update your `librehost.json`.
+ `@type` (`string`): Type of the site which the `librehost.json` represents.
+ `organizationType` (`string`): Type of the organization.
+ `name` (`string`): Name of the the organization.
+ `tagLine` (`string`): The tagline of the organization.
+ `homeUrl` (`string`): URL of the homepage of the organization.
+ `logo` (`string`): Link to image file of the logo of the organization.
+ `description` (`string`): Description of the organization.
+ `communicationLanguages` (`array(string)`): Array of [ISO 639-1
  codes](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) of the
  languages that the admins can be contacted in.
+ `contactUrl` (`string`): URL where info to contact the admins can be found or
  the admins can be contacted.
+ `privacyPolicyUrl` (`string`): URL where the Privacy Policy resides.
+ `termsOfServiceUrl` (`string`): URL where the Terms of Service reside.
+ `isServiceProvider` (`boolean`): Denotes whether the said organization
  provides services.
+ `foundingDate` (`int`): Year of founding of the organization.
+ `dateCreated` (`string`): [ISO Date Time
  String](https://en.wikipedia.org/wiki/ISO_8601) (`YYYY-MM-DDTHH:MM:SSZ` in
  UTC) denoting when the file was created.
+ `dateModified` (`string`): ISO Date Time String denoting when the file was
  last modified. Update this line everytime you make a change to the
  `librehost.json`.
